Bug 193442 - sometime "which" just fails to find a file
Summary: sometime "which" just fails to find a file
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: which (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-28 18:52 UTC by james
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 14:36:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description james 2006-05-28 18:52:48 UTC
Description of problem:
$ ll /usr/sbin/privoxy
-rwxr--r--  1 privoxy privoxy 190480 Mar  2  2005 /usr/sbin/privoxy*

$ which /usr/sbin/privoxy
which: no privoxy in (/usr/sbin)


Version-Release number of selected component (if applicable):
$ rpm -qf /usr/bin/which
which-2.16-6


How reproducible:
with that file, always.

Comment 1 Ngo Than 2006-10-10 17:38:30 UTC
The problem is that /usr/sbin is not in PATH. which only looks the programname
in the PATH.

You have to add PATH=/usr/sbin:$PATH.

Comment 2 james 2006-10-10 17:58:37 UTC
Ha, ha, ha!  No, /usr/sbin _is_ in my $PATH, and so this is a bit odd.

I'm now using which-2.16-6.2.1, and which still couldn't find "privoxy" on a bet.

So, unless there is some hardcoded PATH in "which", the "NotABug" label is
wishful thinking.  Look a little deeper...

Comment 3 Christian Iseli 2007-01-20 00:21:31 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 4 Ngo Than 2007-09-13 14:36:24 UTC
it's not reproduceable in F8.


Note You need to log in before you can comment on or make changes to this bug.